<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">TerrainMaterialGenerator</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Profile</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::TerrainMaterialGenerator::Profile Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a0c47702015bcc5ad4a4920d02a67da2b">generate</a>(const Terrain *terrain)=0</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a70a4e9bf4482762227e48c061759c1d2">generateForCompositeMap</a>(const Terrain *terrain)=0</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ad89f2285a2c59643d0127bc9801d8ecb">getDescription</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a4ab7d26991576153fe480c316ccfef86">getMaxLayers</a>(const Terrain *terrain) const =0</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ac775f704382e9dea4a7f0a49b1d6dab9">getName</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#aeaae7ac474e9755ab4f49a989bdcbfa6">getParent</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ac003ed37b877d3362bbaa39661865716">isVertexCompressionSupported</a>() const =0</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#af9df01eba06dc39bf4f943e80ed2f197">mDesc</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#acd101ecd87f04e8d313834f8da1aee4e">mName</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a869235f68fd7821067b41f3946e0f5ef">mParent</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#aed78c492593089c072d6adf0d241fd10">Profile</a>(TerrainMaterialGenerator *parent, const String &amp;name, const String &amp;desc)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a8b8528902ca05c44ce41a4a4802f0769">Profile</a>(const Profile &amp;prof)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ad4cbd3a430cdf5ce892ab63ef8ad270b">requestOptions</a>(Terrain *terrain)=0</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a9bb28eb51fc5229209a72564315d3eb1">updateCompositeMap</a>(const Terrain *terrain, const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a8efea3f1c4506d600d96995ba0d61164">updateParams</a>(const MaterialPtr &amp;mat, const Terrain *terrain)=0</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#abcb1087d4d2f5b60ba99a22a86dde5f4">updateParamsForCompositeMap</a>(const MaterialPtr &amp;mat, const Terrain *terrain)=0</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a0f8e8543ce925703ccc57298a9b59ffa">~Profile</a>()</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
